2008-11-27 08:03  rjongbloed

	* [r21644] version.h:
	  Update version number for beta v2.5.2

2008-11-30 03:04  rjongbloed

	* [r21654] src/ptlib/msos/svcproc.cxx:
	  Added ability to set/reset the "auto-restart" feature for a
	  Windows service.

2008-12-01 12:02  csoutheren

	* [r21666] include/ptlib/thread.h, samples/threadex/main.cxx,
	  samples/threadex/main.h:
	  Modify threadex program to detect race condition in auto-delete
	  thread creation

2008-12-01 12:33  csoutheren

	* [r21667] include/ptclib/pxml.h, src/ptclib/pxml.cxx:
	  Fix constness for PXMLElement::HasAttribute() (patch 2198641)
	  Thanks to Stefano Sabatini

2008-12-02 09:52  rjongbloed

	* [r21676] src/ptlib/msos/svcproc.cxx:
	  Changed auto-restart option for Service Process to retry three
	  times then give up restarting. If the process survives for 5
	  minutes without crashing, then the retry count is reset.

2008-12-02 23:47  rjongbloed

	* [r21682] include/ptlib/msos/ptlib/pprocess.h,
	  include/ptlib/pprocess.h, src/ptlib/common/object.cxx,
	  src/ptlib/common/osutils.cxx, src/ptlib/msos/assert.cxx,
	  src/ptlib/msos/win32.cxx:
	  Fixed issue with console "Press a key to exit..." message
	  appearing on DLL based systems when unloading.

2008-12-03 00:00  rjongbloed

	* [r21683] include/ptlib/pprocess.h:
	  Added default empty Main() function in library process class.

2008-12-03 04:12  rjongbloed

	* [r21684] include/ptlib/msos/ptlib/svcproc.h,
	  include/ptlib/pprocess.h, src/ptlib/common/osutils.cxx:
	  Fixed for Windows Mobile, and generally improved, command line
	  argument passing.

2008-12-03 04:56  rjongbloed

	* [r21689] include/ptbuildopts.h.in,
	  include/ptlib/msos/ptlib/contain.h, include/ptlib/wince/cevfw.h,
	  include/ptlib/wm/cevfw.h, src/ptlib/common/pglobalstatic.cxx,
	  src/ptlib/msos/Console_2005.vcproj, src/ptlib/msos/vfw.cxx,
	  src/ptlib/wince/ConsoleCE/cevfw.cpp, src/ptlib/wm/cevfw.cpp:
	  Removed Video for Windows empty functions that make it look like
	  Windows Mobile supports VfW when it doesn't. Should just not
	  support it!

2008-12-03 22:47  hfriederich

	* [r21693] include/ptlib/unix/ptlib/pprocess.h:
	  Fix compilation on unix systems

2008-12-03 23:40  rjongbloed

	* [r21694] src/ptlib/unix/config.cxx:
	  Fixed Unix build after command line arguments patch.

2008-12-04 02:06  rjongbloed

	* [r21696] ., src/ptclib/psockbun.cxx:
	  Fixed handling of "interface only" form of binding, i.e. one that
	  is "%interfaces" and has no address. Now correctly starts up if
	  the interface happens to be down at initialisation time.

2008-12-04 03:22  rjongbloed

	* [r21697] src/ptlib/common/object.cxx:
	  Removed redundant extra wait for a key press when dumping memory
	  leaks.

2008-12-04 04:00  rjongbloed

	* [r21698] include/ptlib/msos/ptlib/vidinput_directx.h,
	  samples/vidtest/main.cxx, samples/vidtest/vidtest_2005.vcproj,
	  src/ptlib/msos/vidinput_directx.cxx:
	  Added support for camera grabbing on Windows Mobile using
	  DirectShow.
	  
	  Enhanced video test application so can work with OS that has no
	  console.

2008-12-04 23:37  rjongbloed

	* [r21701] include/ptlib/msos/ptlib/contain.h:
	  Fixed thoroughly bizarre need to add WIN32 symbol. The bizarre
	  bit isn't that it is needed, but that it only just cropped up
	  after so many years!

2008-12-05 01:27  dereksmithies

	* [r21703] include/ptlib/tcpsock.h:
	  Extend the documentation, to clarify the difference between
	  Accept and Listen.
	  Thanks to Robert Jongbloed for the distinction...

2008-12-05 03:15  dereksmithies

	* [r21705] include/ptlib/tcpsock.h:
	  Fix a typo, and extend the description to explain the difference
	  between
	  Accept and Listen.

2008-12-05 05:32  ykiryanov

	* [r21706] include/ptlib/msos/ptlib/addrv6.h:
	  Fixed validation of IPV4 address

2008-12-07 23:47  csoutheren

	* [r21708] include/ptlib/object.h, src/ptlib/common/object.cxx,
	  src/ptlib/unix/tlibthrd.cxx:
	  Allow compilation with asserts disabled [ 2275574 ]
	  Thanks to Joachim Bauch

2008-12-09 01:21  rjongbloed

	* [r21717] include/ptbuildopts.h.in:
	  Fixed loading of Video for Windows plug in

2008-12-09 05:34  csoutheren

	* [r21722] include/ptbuildopts.h.in:
	  Disable SAPI on Windows awaiting compile-time test for Vista

2008-12-09 20:15  ykiryanov

	* [r21737] src/ptlib/unix/shmvideo.cxx:
	  some linux systems not set up for video

2008-12-09 20:16  ykiryanov

	* [r21738] src/ptlib/unix/config.cxx:
	  no environ on mac os x

2008-12-09 20:16  ykiryanov

	* [r21739] include/ptlib/unix/ptlib/shmvideo.h:
	  some linux systems not set up for video

2008-12-10 01:32  ykiryanov

	* [r21743] configure:
	  added definition of NULL - osx chokes on that and fails to detect
	  ipv6

2008-12-10 01:43  rjongbloed

	* [r21745] ., src/ptlib/msos/vfw.cxx:
	  Added ability to have fixed size video output window, with image
	  scaled to fit. Useful when screen real estate is limited like on
	  PDAs.

2008-12-10 02:06  rjongbloed

	* [r21747] ., src/ptlib/common/vconvert.cxx,
	  src/ptlib/common/videoio.cxx,
	  src/ptlib/msos/vidinput_directx.cxx:
	  Fixes for camera grabbing on Windows Mobile, MEDIASUBTYPE_YV12
	  appears to be identical to YUV420P even though documentation
	  implies V & U planes are reversed.

2008-12-10 04:39  rjongbloed

	* [r21755] configure, configure.ac:
	  Correct fix for OS-X configure of IPv6 support

2008-12-10 07:44  rjongbloed

	* [r21764] ., src/ptlib/msos/vfw.cxx:
	  If Video Output window position is not specified, centre window
	  on parent window, or screen if no parent.

2008-12-10 12:53  csoutheren

	* [r21766] include/ptlib/unix/ptlib/pprocess.h,
	  src/ptlib/unix/tlibthrd.cxx:
	  Ensure PExternalThreads with re-used pthread IDs do not
	  cause PThread leaks

2008-12-12 00:11  rjongbloed

	* [r21775] make/ptlib.mak, make/unix.mak:
	  Applied patch:
	  
	  [ 2243773 ] Remove PWLIBDIR from the build system
	  
	  Thanks to anonymous submitter

2008-12-12 00:48  rjongbloed

	* [r21777] samples/threadex/main.cxx, samples/threadex/main.h,
	  src/ptlib/common/osutils.cxx:
	  Applied patches:
	  
	  [ 2405783 ] PTRACE typo in PExternalThread constructor and
	  destructor
	  [ 2405768 ] threadex ptlib sample fix of cross platform breaking
	  
	  Thanks Yuriy Cherniavsky

2008-12-12 00:56  rjongbloed

	* [r21778] include/ptclib/pwavfile.h, include/ptlib/pstring.h,
	  ptlib_cfg.dxy.in:
	  Applied patches:
	  
	  [ 2412450 ] Fix doxy for PWAVFile
	  [ 2412669 ] Declaration for pvsprintf and psprintf functions
	  [ 2412745 ] Update ptlib_cfx.dxy 1.4.5 -> 1.5.6
	  
	  Thanks Stefano Sabatini

2008-12-12 01:01  rjongbloed

	* [r21779] include/ptclib/pwavfile.h:
	  Fixed MSVC warnings.

2008-12-12 01:03  rjongbloed

	* [r21780] plugins/vidinput_bsd/vidinput_bsd.h:
	  Applied patch:
	  
	  [ 2243487 ] Compile fix for BSD video
	  
	  Thanks Jan Willamowius

2008-12-12 01:14  rjongbloed

	* [r21781] make/unix.mak:
	  Applied patch:
	  
	  [ 2244432 ] Makefile update for NetBSD 4.0
	  
	  Thanks Jan Willamowius

2008-12-12 01:52  rjongbloed

	* [r21782] include/ptlib/dict.h:
	  Applied patch:
	  
	  [ 2243960 ] Fix docs for pdict.h
	  
	  Thanks Stefano Sabatini

2008-12-12 02:59  rjongbloed

	* [r21783] ReadMe.txt, configure, configure.ac,
	  include/ptbuildopts.h.in, include/ptclib/guid.h,
	  src/ptclib/guid.cxx, src/ptclib/random.cxx,
	  src/ptlib/common/osutils.cxx:
	  Fixed bugs:
	  
	  [ 2268142 ] redistribute divides by 0
	  [ 2268658 ] ReadMe.txt issue with $LD_LIBRARY_PATH
	  [ 2268788 ] PTimer destructor stops a not running timer
	  [ 2268879 ] configure --disable-video
	  [ 2269649 ] disabling asn leads to linkng error
	  
	  All reported by "frederich"

2008-12-12 05:42  rjongbloed

	* [r21788] include/ptbuildopts.h.in, include/ptclib/asnber.h,
	  include/ptclib/asner.h, include/ptclib/asnper.h,
	  include/ptclib/asnxer.h, include/ptclib/cypher.h,
	  include/ptclib/delaychan.h, include/ptclib/dtmf.h,
	  include/ptclib/enum.h, include/ptclib/ftp.h,
	  include/ptclib/guid.h, include/ptclib/html.h,
	  include/ptclib/http.h, include/ptclib/httpform.h,
	  include/ptclib/httpsvc.h, include/ptclib/inetmail.h,
	  include/ptclib/inetprot.h, include/ptclib/ipacl.h,
	  include/ptclib/memfile.h, include/ptclib/mime.h,
	  include/ptclib/modem.h, include/ptclib/paec.h,
	  include/ptclib/pasn.h, include/ptclib/pdns.h,
	  include/ptclib/pils.h, include/ptclib/pldap.h,
	  include/ptclib/pnat.h, include/ptclib/podbc.h,
	  include/ptclib/psasl.h, include/ptclib/psnmp.h,
	  include/ptclib/psoap.h, include/ptclib/psockbun.h,
	  include/ptclib/pssl.h, include/ptclib/pstun.h,
	  include/ptclib/ptts.h, include/ptclib/pvfiledev.h,
	  include/ptclib/pvidfile.h, include/ptclib/pwavfile.h,
	  include/ptclib/pwavfiledev.h, include/ptclib/pxml.h,
	  include/ptclib/pxmlrpc.h, include/ptclib/pxmlrpcs.h,
	  include/ptclib/qchannel.h, include/ptclib/random.h,
	  include/ptclib/rfc1155.h, include/ptclib/shttpsvc.h,
	  include/ptclib/snmp.h, include/ptclib/sockagg.h,
	  include/ptclib/socks.h, include/ptclib/telnet.h,
	  include/ptclib/url.h, include/ptclib/vsdl.h,
	  include/ptclib/vxml.h, include/ptclib/xmpp.h,
	  include/ptclib/xmpp_c2s.h, include/ptclib/xmpp_muc.h,
	  include/ptclib/xmpp_roster.h, include/ptlib.h,
	  include/ptlib/args.h, include/ptlib/array.h,
	  include/ptlib/channel.h, include/ptlib/conchan.h,
	  include/ptlib/config.h, include/ptlib/contain.h,
	  include/ptlib/critsec.h, include/ptlib/dict.h,
	  include/ptlib/dynalink.h, include/ptlib/ethsock.h,
	  include/ptlib/file.h, include/ptlib/filepath.h,
	  include/ptlib/icmpsock.h, include/ptlib/indchan.h,
	  include/ptlib/int64.h, include/ptlib/ipdsock.h,
	  include/ptlib/ipsock.h, include/ptlib/ipxsock.h,
	  include/ptlib/lists.h, include/ptlib/mail.h,
	  include/ptlib/msos/ptlib/contain.h,
	  include/ptlib/msos/ptlib/sound_directsound.h,
	  include/ptlib/msos/ptlib/sound_win32.h,
	  include/ptlib/msos/ptlib/svcproc.h,
	  include/ptlib/msos/ptlib/vidinput_app.h,
	  include/ptlib/msos/ptlib/vidinput_directx.h,
	  include/ptlib/mutex.h, include/ptlib/notifier.h,
	  include/ptlib/notifier_ext.h, include/ptlib/object.h,
	  include/ptlib/pdirect.h, include/ptlib/pfactory.h,
	  include/ptlib/pipechan.h, include/ptlib/plugin.h,
	  include/ptlib/pluginmgr.h, include/ptlib/pprocess.h,
	  include/ptlib/psharedptr.h, include/ptlib/pstring.h,
	  include/ptlib/psync.h, include/ptlib/ptime.h,
	  include/ptlib/qos.h, include/ptlib/remconn.h,
	  include/ptlib/safecoll.h, include/ptlib/semaphor.h,
	  include/ptlib/serchan.h, include/ptlib/sfile.h,
	  include/ptlib/smartptr.h, include/ptlib/socket.h,
	  include/ptlib/sockets.h, include/ptlib/sound.h,
	  include/ptlib/spxsock.h, include/ptlib/svcproc.h,
	  include/ptlib/syncpoint.h, include/ptlib/syncthrd.h,
	  include/ptlib/tcpsock.h, include/ptlib/textfile.h,
	  include/ptlib/thread.h, include/ptlib/timeint.h,
	  include/ptlib/timer.h, include/ptlib/udpsock.h,
	  include/ptlib/unix/ptlib/beaudio.h,
	  include/ptlib/unix/ptlib/channel.h,
	  include/ptlib/unix/ptlib/shmvideo.h, include/ptlib/vconvert.h,
	  include/ptlib/video.h, include/ptlib/videoio.h,
	  include/ptlib/videoio1394dc.h, src/ptclib/inetmail.cxx,
	  src/ptclib/pdns.cxx, src/ptlib/common/osutils.cxx,
	  src/ptlib/common/sockets.cxx, src/ptlib/msos/svcproc.cxx,
	  src/ptlib/unix/svcproc.cxx, src/ptlib/wm/stdlibx.cpp:
	  Changed include file "multiple inclusion defines" to be
	  normalised and not use "illegal" names, i.e. ones starting with
	  underscore which are reserved for system variables by ANSI.
	  
	  Also changed a large number of variables that start with an
	  underscore, typically parameters.
	  
	  Bug reports:
	  
	  [ 2412648 ] Inconsistent and illegal guard inclusion guard names
	  [ 2101575 ] ANSI C reserved names and inclusion guards names
	  conflict
	  
	  Reported by Stefano Sabatini

2008-12-12 06:07  rjongbloed

	* [r21791] include/ptlib/plugin.h, include/ptlib/thread.h:
	  Fixed GNU compatibility

2008-12-16 02:25  rjongbloed

	* [r21804] src/ptlib/common/osutils.cxx:
	  Reverted revision 21783 which was to fix bug #2268788, but the
	  cure was worse than the disease! Repeated crashes rather than
	  unnecessarily starting housekeeper thread on exit, if timers are
	  created but never used. Just live with it!

2008-12-17 06:47  rjongbloed

	* [r21821] src/ptlib/common/collect.cxx:
	  Prevent uninitialised variables error in valgrind cause by not
	  copying deleteKeys flag across when cloning sets and
	  dictionaries.

2008-12-17 07:46  rjongbloed

	* [r21823] include/ptlib/msos/ptlib/vidinput_directx.h,
	  src/ptlib/msos/vidinput_directx.cxx:
	  Moved some code out of header to source as does not need to be
	  exposed.

2008-12-18 00:08  rjongbloed

	* [r21826] src/ptlib/msos/Console_2005.vcproj,
	  src/ptlib/msos/PTLib_2005.vcproj:
	  Fixed compatibility with some Windows Mobiles libraries that do
	  not use wchar_t as internal type. Function signatures don't
	  match.

2008-12-18 00:11  rjongbloed

	* [r21828] src/ptlib/msos/vidinput_directx.cxx:
	  Fixed no trace build

2008-12-25 12:58  hfriederich

	* [r21869] include/ptlib/unix/ptlib/pmachdep.h:
	  Fix compilation on 10.5.6.
	  Mainintaining compatibility on 10.5.x seems to be a real mess.

